using com.hnshituo.core.webapp.vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common
{
    public class MeterWorkSceneRegisterService
    {
        public RESTfulResult<List<MeterWorkSceneRegister>> doQueryWf(MeterWorkSceneRegister info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterWorkSceneRegister>>> rm = db.doOption<PageList<List<MeterWorkSceneRegister>>>("meterworksceneregisters", "/page", new object[] { info }, 0);

            RESTfulResult<List<MeterWorkSceneRegister>> result = new RESTfulResult<List<MeterWorkSceneRegister>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Succeed && rm.Data != null && rm.Data.list != null)
            {
                result.Data = rm.Data.list;
            }
            return result;
        }
    }
}
